Skip to content
WP EngineDocumentation

List accounts

GET
/accounts
curl --request GET \
--url 'https://api.wpengineapi.com/v1/accounts?limit=100&offset=100' \
--header 'Authorization: Basic <credentials>'

Returns the accounts the authenticated user can access. Results are paginated - use the limit and offset parameters to page through large sets.

limit
integer
default: 100 <= 100

(Optional) The number of records to return

Example
100
offset
integer
0

(Optional) The first record of the result set to be retrieved

Example
100

Returns a list of Account objects.

Media typeapplication/json
object
previous

Path to the previous page of results

string
nullable
next

Path to the next page of results

string
nullable
count

The total number of results

integer
results
Array<object>
object
id
required
string format: uuid
name
required

The account name

string
nickname
required

The account nickname

string
Example
{
"previous": "https://api.wpengineapi.com/v1/example-endpoint?limit=100&offset=0",
"next": "https://api.wpengineapi.com/v1/example-endpoint?limit=100&offset=200",
"count": 225,
"results": [
{
"id": "eeda3227-9a39-46ae-9e14-20958bb4e6c9",
"name": "joesaccount",
"nickname": "joesaccount"
}
]
}

Bad Request

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
errors

An array of error objects describing specific errors that arose when servicing the request

Array<object>
object
resource
required

The name of the resource that was being processed when the error occurred

string
field
required

(Optional) The specific field associated with the error

string
type
required

(Optional) A type associated with the error. invalid_value, access_error, value_unavailable

string
code
required

(Optional) A machine code relating to the error that occurred with the field and resource

string
message
required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string
Example
{
"message": "Invalid request.",
"errors": [
{
"resource": "Resource",
"field": "field_name",
"type": "invalid_value",
"code": "invalid",
"message": "The value is invalid."
}
]
}

Authentication Error

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Bad Credentials"
}

Not authorized

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "You don't have permission to perform that action"
}

Too many requests

Internal Server Error

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
Example
{
"message": "An unexpected error occurred, please try again in a few minutes"
}

Service unavailable